Macro ForceRecompute/fr: Difference between revisions

From FreeCAD Documentation
m (Created page with "Macro ForceRecompute")
 
m (Created page with "{{Macro/fr|Icon=Force_Recompute|Name=Macro Force Recompute|Name/fr=Macro Force Recompute|Description=Force manuallement le réamorçage du projet|Author=shoogen}}")
Line 1: Line 1:
{{Macro|Icon=Force_Recompute|Name=Macro Force Recompute|Description=Forces manual recompute of model|Author=shoogen}}
{{Macro/fr|Icon=Force_Recompute|Name=Macro Force Recompute|Name/fr=Macro Force Recompute|Description=Force manuallement le réamorçage du projet|Author=shoogen}}


Sometimes the user applies changes to the model in FreeCAD.
Sometimes the user applies changes to the model in FreeCAD.

Revision as of 08:31, 2 September 2014

File:Force Recompute Macro Force Recompute

Description
Force manuallement le réamorçage du projet

Auteur: shoogen
Auteur
shoogen
Téléchargement
None
Liens
Version Macro
1.0
Dernière modification
None
Version(s) FreeCAD
None
Raccourci clavier
None
Voir aussi
None

Sometimes the user applies changes to the model in FreeCAD. But FreeCAD does not seem to recognize them. So the blue "Recompute" icon stayes greyed out. This small macro forces a manual recompute of the model.

Use

Just run the macro when needed.

Script

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()
Other languages: